%global srcname vistir

Name:           python-vistir
Version:        0.4.2
Release:        1%{?dist}
License:        ISC
URL:            https://pypi.org/project/%{srcname}
Source0:        https://github.com/sarugaku/%{srcname}/archive/%{version}.tar.gz
BuildArch:      noarch
Summary:        Python library full of utility functions

%{?python_enable_dependency_generator}

%description
Miscellaneous utilities for dealing with filesystems,
paths, projects, sub-processes, and more.

# one test require internet to pass
%bcond_with internet

%package -n python3-%{srcname}
Summary:        %{summary}

# for support of spinners
Recommends:     python3-vistir-spinners

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
BuildRequires:  python3-invoke
BuildRequires:  python3-parver
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-yaspin
BuildRequires:  python3-requests
BuildRequires:  python3-colorama
BuildRequires:  python3-hypothesis
BuildRequires:  python3-hypothesis-fspaths
BuildRequires:  python3-pytest-timeout
BuildRequires:  python3-wheel
BuildRequires:  python3-pip

BuildRequires:  pyproject-macros

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Miscellaneous utilities for dealing with filesystems,
paths, projects, sub-processes, and more.


%package -n python3-vistir-spinners
Requires:     python3-yaspin
Requires:     python3-%{srcname} = %{version}-%{release}    
Summary: Package for spinners in vistir
%description -n python3-vistir-spinners
package which contains requires for spinners in vistir

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%{pyproject_wheel}

%install
%{pyproject_install}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest tests/ \
%if %{without internet}
-k 'not test_open_file'
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}-*.dist-info/
%{python3_sitelib}/%{srcname}/

%files -n python3-vistir-spinners

%changelog
* Wed Jun 12 2019 Patrik Kopkan <pkopkan@redhat.com> - 0.4.2.1
- updated and changed:
- 	macros in %%build, %%install
- 	%{python3_sitelib}/%{srcname}-*.egg-info/ -> %{python3_sitelib}/%{srcname}-*.dist-info/

* Thu Apr 25 2019 Patrik Kopkan <pkopkan@redhat.com> - 0.4.0-1
- created package
